import request from '@/utils/request'
// 【 ezhizao-dms-production 】这个名字对应的就是 nacos 中的服务的 id，必须用“-”分割
// 开发时，在 vite.config.js 中配置 /ezhizao-dms-production，参考 /dev-api 的配置
// 生产时，在nginx中配置 /ezhizao-dms-production，指定对应的 nacos 中的服务 id：/ezhizao-dms-production
const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API
// 查询设备档案列表
export function listEquipment(query) {
  return request({
    url: baseUrl + '/business/equipment/list',
    method: 'get',
    params: query
  })
}

// 查询设备档案详细
export function getEquipment(id) {
  return request({
    url: baseUrl + '/business/equipment/' + id,
    method: 'get'
  })
}

// 新增设备档案
export function addEquipment(data) {
  return request({
    url: baseUrl + '/business/equipment',
    method: 'post',
    data: data
  })
}
// 批量新增设备档案
export function saveBatchEquipment(data) {
  return request({
    url: baseUrl + '/business/equipment/saveBatch',
    method: 'post',
    data: data
  })
}

// 修改设备档案
export function updateEquipment(data) {
  return request({
    url: baseUrl + '/business/equipment',
    method: 'put',
    data: data
  })
}

// 删除设备档案
export function delEquipment(id) {
  return request({
    url: baseUrl + '/business/equipment/' + id,
    method: 'delete'
  })
}
